<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.4) on Mon May 11 16:25:08 CEST 2020 -->
<title>C-Index</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-05-11">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="C-Index";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">L</a>&nbsp;<a href="index-9.html">M</a>&nbsp;<a href="index-10.html">N</a>&nbsp;<a href="index-11.html">O</a>&nbsp;<a href="index-12.html">P</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;<a href="index-16.html">U</a>&nbsp;<a href="index-17.html">V</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a><a id="I:C">
<!--   -->
</a>
<h2 class="title">C</h2>
<dl>
<dt><span class="memberNameLink"><a href="../thesis/agents.html#calculate_BPM_cost()">calculate_BPM_cost()</a></span> - Method in class thesis.<a href="../thesis/agents.html" title="class in thesis">agents</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../thesis/agents.html#calculate_cost_of_trip(double)">calculate_cost_of_trip(double)</a></span> - Method in class thesis.<a href="../thesis/agents.html" title="class in thesis">agents</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../thesis/agents.html#calculate_gasoline_vs_diesel(int)">calculate_gasoline_vs_diesel(int)</a></span> - Method in class thesis.<a href="../thesis/agents.html" title="class in thesis">agents</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../thesis/agents.html#calculate_MRB_cost()">calculate_MRB_cost()</a></span> - Method in class thesis.<a href="../thesis/agents.html" title="class in thesis">agents</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../thesis/agents.html#calculate_propensity_for_EV(int)">calculate_propensity_for_EV(int)</a></span> - Method in class thesis.<a href="../thesis/agents.html" title="class in thesis">agents</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../thesis/agents.html#calculate_trip_cost_diesel(double)">calculate_trip_cost_diesel(double)</a></span> - Method in class thesis.<a href="../thesis/agents.html" title="class in thesis">agents</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../thesis/agents.html#calculate_trip_cost_Electric(double)">calculate_trip_cost_Electric(double)</a></span> - Method in class thesis.<a href="../thesis/agents.html" title="class in thesis">agents</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../thesis/agents.html#calculate_trip_cost_gasoline(double)">calculate_trip_cost_gasoline(double)</a></span> - Method in class thesis.<a href="../thesis/agents.html" title="class in thesis">agents</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../thesis/agents.html#calculate_trip_cost_Hydrogen(double)">calculate_trip_cost_Hydrogen(double)</a></span> - Method in class thesis.<a href="../thesis/agents.html" title="class in thesis">agents</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../thesis/agents.html#calculate_trip_cost_LPG(double)">calculate_trip_cost_LPG(double)</a></span> - Method in class thesis.<a href="../thesis/agents.html" title="class in thesis">agents</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../thesis/agents.html#calculate_trip_cost_PHEV(double)">calculate_trip_cost_PHEV(double)</a></span> - Method in class thesis.<a href="../thesis/agents.html" title="class in thesis">agents</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../thesis/agents.html#calculate_type_of_fuel(int)">calculate_type_of_fuel(int)</a></span> - Method in class thesis.<a href="../thesis/agents.html" title="class in thesis">agents</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../thesis/agents.html#closest_parkingSpot(repast.simphony.space.grid.Grid)">closest_parkingSpot(Grid&lt;Object&gt;)</a></span> - Method in class thesis.<a href="../thesis/agents.html" title="class in thesis">agents</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../Vehicles/Conventional.html" title="class in Vehicles"><span class="typeNameLink">Conventional</span></a> - Class in <a href="../Vehicles/package-summary.html">Vehicles</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Vehicles/Conventional.html#%3Cinit%3E(java.lang.String,java.lang.String,float,int,int)">Conventional(String, String, float, int, int)</a></span> - Constructor for class Vehicles.<a href="../Vehicles/Conventional.html" title="class in Vehicles">Conventional</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../thesis/EnvironmentBuilder.html#conver_fac_EV(java.util.List)">conver_fac_EV(List&lt;Integer&gt;)</a></span> - Method in class thesis.<a href="../thesis/EnvironmentBuilder.html" title="class in thesis">EnvironmentBuilder</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../thesis/EnvironmentBuilder.html#convert_batt_suf(int)">convert_batt_suf(int)</a></span> - Method in class thesis.<a href="../thesis/EnvironmentBuilder.html" title="class in thesis">EnvironmentBuilder</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../thesis/EnvironmentBuilder.html#convert_car_age(int)">convert_car_age(int)</a></span> - Method in class thesis.<a href="../thesis/EnvironmentBuilder.html" title="class in thesis">EnvironmentBuilder</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../thesis/EnvironmentBuilder.html#convert_car_combustion_type(int)">convert_car_combustion_type(int)</a></span> - Method in class thesis.<a href="../thesis/EnvironmentBuilder.html" title="class in thesis">EnvironmentBuilder</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../thesis/EnvironmentBuilder.html#convert_car_ownership_type(int)">convert_car_ownership_type(int)</a></span> - Method in class thesis.<a href="../thesis/EnvironmentBuilder.html" title="class in thesis">EnvironmentBuilder</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../thesis/EnvironmentBuilder.html#convert_car_weight(int)">convert_car_weight(int)</a></span> - Method in class thesis.<a href="../thesis/EnvironmentBuilder.html" title="class in thesis">EnvironmentBuilder</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../thesis/EnvironmentBuilder.html#convert_choice_without_f(int)">convert_choice_without_f(int)</a></span> - Method in class thesis.<a href="../thesis/EnvironmentBuilder.html" title="class in thesis">EnvironmentBuilder</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../thesis/EnvironmentBuilder.html#convert_drivers_license(int)">convert_drivers_license(int)</a></span> - Method in class thesis.<a href="../thesis/EnvironmentBuilder.html" title="class in thesis">EnvironmentBuilder</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../thesis/EnvironmentBuilder.html#convert_education(int)">convert_education(int)</a></span> - Method in class thesis.<a href="../thesis/EnvironmentBuilder.html" title="class in thesis">EnvironmentBuilder</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../thesis/EnvironmentBuilder.html#convert_EV_negative_surprise(java.util.List)">convert_EV_negative_surprise(List&lt;Integer&gt;)</a></span> - Method in class thesis.<a href="../thesis/EnvironmentBuilder.html" title="class in thesis">EnvironmentBuilder</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../thesis/EnvironmentBuilder.html#convert_EV_positive_surprise(java.util.List)">convert_EV_positive_surprise(List&lt;Integer&gt;)</a></span> - Method in class thesis.<a href="../thesis/EnvironmentBuilder.html" title="class in thesis">EnvironmentBuilder</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../thesis/EnvironmentBuilder.html#convert_EV_reason(java.util.List)">convert_EV_reason(List&lt;Integer&gt;)</a></span> - Method in class thesis.<a href="../thesis/EnvironmentBuilder.html" title="class in thesis">EnvironmentBuilder</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../thesis/EnvironmentBuilder.html#convert_fear_insuf_batt(int)">convert_fear_insuf_batt(int)</a></span> - Method in class thesis.<a href="../thesis/EnvironmentBuilder.html" title="class in thesis">EnvironmentBuilder</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../thesis/EnvironmentBuilder.html#convert_happy_walk(int)">convert_happy_walk(int)</a></span> - Method in class thesis.<a href="../thesis/EnvironmentBuilder.html" title="class in thesis">EnvironmentBuilder</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../thesis/EnvironmentBuilder.html#convert_has_car(int)">convert_has_car(int)</a></span> - Method in class thesis.<a href="../thesis/EnvironmentBuilder.html" title="class in thesis">EnvironmentBuilder</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../thesis/EnvironmentBuilder.html#convert_home_parking(int,int,int,int,int)">convert_home_parking(int, int, int, int, int)</a></span> - Method in class thesis.<a href="../thesis/EnvironmentBuilder.html" title="class in thesis">EnvironmentBuilder</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../thesis/EnvironmentBuilder.html#convert_household(int)">convert_household(int)</a></span> - Method in class thesis.<a href="../thesis/EnvironmentBuilder.html" title="class in thesis">EnvironmentBuilder</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../thesis/EnvironmentBuilder.html#convert_income(int)">convert_income(int)</a></span> - Method in class thesis.<a href="../thesis/EnvironmentBuilder.html" title="class in thesis">EnvironmentBuilder</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../thesis/EnvironmentBuilder.html#convert_knowledge_BEV(int)">convert_knowledge_BEV(int)</a></span> - Method in class thesis.<a href="../thesis/EnvironmentBuilder.html" title="class in thesis">EnvironmentBuilder</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../thesis/EnvironmentBuilder.html#convert_knowledge_environmental(int,int,int,int,int,int,int)">convert_knowledge_environmental(int, int, int, int, int, int, int)</a></span> - Method in class thesis.<a href="../thesis/EnvironmentBuilder.html" title="class in thesis">EnvironmentBuilder</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../thesis/EnvironmentBuilder.html#convert_knowledge_EV_regulations(int,int,int)">convert_knowledge_EV_regulations(int, int, int)</a></span> - Method in class thesis.<a href="../thesis/EnvironmentBuilder.html" title="class in thesis">EnvironmentBuilder</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../thesis/EnvironmentBuilder.html#convert_nbr_peop_organisation(int)">convert_nbr_peop_organisation(int)</a></span> - Method in class thesis.<a href="../thesis/EnvironmentBuilder.html" title="class in thesis">EnvironmentBuilder</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../thesis/EnvironmentBuilder.html#convert_parking_at_work(int,int)">convert_parking_at_work(int, int)</a></span> - Method in class thesis.<a href="../thesis/EnvironmentBuilder.html" title="class in thesis">EnvironmentBuilder</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../thesis/EnvironmentBuilder.html#convert_participation_environmental(java.util.List)">convert_participation_environmental(List&lt;Integer&gt;)</a></span> - Method in class thesis.<a href="../thesis/EnvironmentBuilder.html" title="class in thesis">EnvironmentBuilder</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../thesis/EnvironmentBuilder.html#convert_priv_loadPole(int)">convert_priv_loadPole(int)</a></span> - Method in class thesis.<a href="../thesis/EnvironmentBuilder.html" title="class in thesis">EnvironmentBuilder</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../thesis/EnvironmentBuilder.html#convert_prof_sector(int)">convert_prof_sector(int)</a></span> - Method in class thesis.<a href="../thesis/EnvironmentBuilder.html" title="class in thesis">EnvironmentBuilder</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../thesis/EnvironmentBuilder.html#convert_reason_not_to_use_shared_car(java.util.List)">convert_reason_not_to_use_shared_car(List&lt;Integer&gt;)</a></span> - Method in class thesis.<a href="../thesis/EnvironmentBuilder.html" title="class in thesis">EnvironmentBuilder</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../thesis/EnvironmentBuilder.html#convert_reason_to_go_with_car(int)">convert_reason_to_go_with_car(int)</a></span> - Method in class thesis.<a href="../thesis/EnvironmentBuilder.html" title="class in thesis">EnvironmentBuilder</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../thesis/EnvironmentBuilder.html#convert_reason_to_use_shared_car(java.util.List)">convert_reason_to_use_shared_car(List&lt;Integer&gt;)</a></span> - Method in class thesis.<a href="../thesis/EnvironmentBuilder.html" title="class in thesis">EnvironmentBuilder</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../thesis/EnvironmentBuilder.html#convert_satisfaction_commute(int)">convert_satisfaction_commute(int)</a></span> - Method in class thesis.<a href="../thesis/EnvironmentBuilder.html" title="class in thesis">EnvironmentBuilder</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../thesis/EnvironmentBuilder.html#convert_sex(int)">convert_sex(int)</a></span> - Method in class thesis.<a href="../thesis/EnvironmentBuilder.html" title="class in thesis">EnvironmentBuilder</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../thesis/EnvironmentBuilder.html#convert_stim_work_provider(java.util.List)">convert_stim_work_provider(List&lt;Integer&gt;)</a></span> - Method in class thesis.<a href="../thesis/EnvironmentBuilder.html" title="class in thesis">EnvironmentBuilder</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../thesis/EnvironmentBuilder.html#convert_used_shared_car(int,int,int)">convert_used_shared_car(int, int, int)</a></span> - Method in class thesis.<a href="../thesis/EnvironmentBuilder.html" title="class in thesis">EnvironmentBuilder</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../thesis/EnvironmentBuilder.html#convert_work_situation(int)">convert_work_situation(int)</a></span> - Method in class thesis.<a href="../thesis/EnvironmentBuilder.html" title="class in thesis">EnvironmentBuilder</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../thesis/agents.html#current_car_type">current_car_type</a></span> - Variable in class thesis.<a href="../thesis/agents.html" title="class in thesis">agents</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">L</a>&nbsp;<a href="index-9.html">M</a>&nbsp;<a href="index-10.html">N</a>&nbsp;<a href="index-11.html">O</a>&nbsp;<a href="index-12.html">P</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;<a href="index-16.html">U</a>&nbsp;<a href="index-17.html">V</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a></div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
